From sugar-devel-bounces@lists.sugarlabs.org Wed May 19 21:25:50 2010
Return-Path: <sugar-devel-bounces@lists.sugarlabs.org>
X-Original-To: bernie@codewiz.org
Delivered-To: bernie@trinity.develer.com
Received: from solarsail.media.mit.edu (solarsail.media.mit.edu
 [18.85.2.155]) by trinity.develer.com (Postfix) with ESMTPS id 9091F1D608E
 for <bernie@codewiz.org>; Wed, 19 May 2010 21:25:50 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.95.2 at trinity.develer.com
Received: from solarsail.media.mit.edu (localhost [127.0.0.1]) by
 solarsail.media.mit.edu (Postfix) with ESMTP id 8BD587BC73E; Wed, 19 May
 2010 15:25:48 -0400 (EDT)
Received: from buho.paraguayeduca.org (mail.paraguayeduca.org
 [190.104.152.113]) (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256
 bits)) (No client certificate requested) by solarsail.media.mit.edu
 (Postfix) with ESMTPS id 0020A7BC739 for <sugar-devel@lists.sugarlabs.org>;
 Wed, 19 May 2010 15:25:44 -0400 (EDT)
Received: (qmail 25017 invoked by uid 508); 19 May 2010 15:35:59 -0400
Received: from unknown (HELO localhost.localdomain) (192.168.0.233) by
 buho.paraguayeduca.org with SMTP; 19 May 2010 15:35:59 -0400
From: Martin Abente <mabente@paraguayeduca.org>
To: tomeu@sugarlabs.org
Date: Wed, 19 May 2010 15:25:41 -0400
Message-Id: <1274297141-6580-1-git-send-email-mabente@paraguayeduca.org>
X-Mailer: git-send-email 1.6.0.4
In-Reply-To: <AANLkTinBDTbCkAzRZG6qUOzknKKpLzBqsDSTBOThZ2Cj@mail.gmail.com>
References: <AANLkTinBDTbCkAzRZG6qUOzknKKpLzBqsDSTBOThZ2Cj@mail.gmail.com>
Organization: Paraguay Educa
Cc: sugar-devel@lists.sugarlabs.org, Martin Abente
 <mabente@paraguayeduca.org>, bernie@sugarlabs.org
Subject: [Sugar-devel] [sugar] Fixed name clash set_state
X-BeenThere: sugar-devel@lists.sugarlabs.org
X-Mailman-Version: 2.1.9
Precedence: list
List-Id: "Discussion of Sugar development and other technical matters."
 <sugar-devel.lists.sugarlabs.org>
List-Unsubscribe: <http://lists.sugarlabs.org/listinfo/sugar-devel>,
 <mailto:sugar-devel-request@lists.sugarlabs.org?subject=unsubscribe>
List-Archive: <http://lists.sugarlabs.org/archive/sugar-devel>
List-Post: <mailto:sugar-devel@lists.sugarlabs.org>
List-Help: <mailto:sugar-devel-request@lists.sugarlabs.org?subject=help>
List-Subscribe: <http://lists.sugarlabs.org/listinfo/sugar-devel>,
 <mailto:sugar-devel-request@lists.sugarlabs.org?subject=subscribe>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Sender: sugar-devel-bounces@lists.sugarlabs.org
Errors-To: sugar-devel-bounces@lists.sugarlabs.org
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY
 autolearn=ham version=3.3.1
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
 trinity.develer.com
X-Evolution-Source: imap://bernie@imap.develer.com/
Content-Transfer-Encoding: 8bit

Method set_state at GsmPalette class was unintentionally overiding
its parent method.

Signed-off-by: Martin Abente <mabente@paraguayeduca.org>
---
 extensions/deviceicon/network.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/extensions/deviceicon/network.py b/extensions/deviceicon/network.py
index 94a4293..5f10ce3 100644
--- a/extensions/deviceicon/network.py
+++ b/extensions/deviceicon/network.py
@@ -235,7 +235,7 @@ class GsmPalette(Palette):
         self.menu.append(self._toggle_state_item)
         self._toggle_state_item.show()
 
-        self.set_state(_GSM_STATE_NOT_READY)
+        self.set_gsm_state(_GSM_STATE_NOT_READY)
 
         self.info_box = gtk.VBox()
 
@@ -267,7 +267,7 @@ class GsmPalette(Palette):
         alignment.add(child)
         return alignment
 
-    def set_state(self, state):
+    def set_gsm_state(self, state):
         self._current_state = state
         self._update_label_and_text()
 
@@ -852,7 +852,7 @@ class GsmDeviceView(TrayIcon):
             gsm_state = _GSM_STATE_NEED_AUTH
             
         if self._palette is not None:
-            self._palette.set_state(gsm_state)
+            self._palette.set_gsm_state(gsm_state)
 
     def disconnect(self):
         self._bus.remove_signal_receiver(self.__state_changed_cb,
-- 
1.6.0.4

_______________________________________________
Sugar-devel mailing list
Sugar-devel@lists.sugarlabs.org
http://lists.sugarlabs.org/listinfo/sugar-devel

